Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	generic C++ template library for sparse, dense and skyline matrices
Name:		gmm++
Version:	3.0
Release:	1
License:	LGPL
URL:		http://home.gna.org/getfem/gmm_intro.html
Group:		System/Libraries
Source0:	gmm-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
Gmm++ is a generic C++ template library for sparse, dense and skyline matrices. It is built as a set of generic algorithms (mult, add, copy, sub-matrices, dense and sparse solvers ...) for any interfaced vector type or matrix type. It can be view as a glue library allowing cooperation between several vector and matrix types. However, basic sparse, dense and skyline matrix/vector types are built in Gmm++, hence it can be used as a standalone linear algebra library. Interfacing a vector or matrix type means writing "traits" objects called "linalg_traits", which describe their properties. The library offers predefined dense, sparse and skyline matrix types. 


%post
ldconfig

%postun
ldconfig

%prep
%setup -n gmm-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_includedir}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0-1
- initial CCux package release
